Request package updates for Poppler, Subversion and Git

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

Request package updates for Poppler, Subversion and Git

Kptain
Hi all,

I don't know who are the maintainer(s),
but it would be great if these packages could be updated:

 - latest versions are:
     
    . Git  2.24.1
    . Subversion 1.13.0
    . Poppler  0.83


It'd be great if it could be refreshed in Cygwin.

Thanks in advance,

Stephan



--
Sent from: http://cygwin.1069669.n5.nabble.com/Cygwin-list-f3.html

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

marco atzeri-4
Am 20.12.2019 um 16:38 schrieb Kptain:

> Hi all,
>
> I don't know who are the maintainer(s),
> but it would be great if these packages could be updated:
>
>   - latest versions are:
>      
>      . Git  2.24.1
>      . Subversion 1.13.0
>      . Poppler  0.83
>
>
> It'd be great if it could be refreshed in Cygwin.
>
> Thanks in advance,
>
> Stephan
>
>

the maintainer is reported on the package summary:
https://cygwin.com/packages/summary/subversion.html
For subversion David was looking for someone to adopt it

https://cygwin.com/ml/cygwin-apps/2019-11/msg00008.html

may be you are interested ? See for detail
https://cygwin.com/packaging-contributors-guide.html

The other two are maintained by Yaakov, that seems at the moment
a bit busy with other activities.

Regards
Marco





--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Steven Penny
On Fri, 20 Dec 2019 17:20:26 +0100, Marco Atzeri wrote:
> The other two are maintained by Yaakov, that seems at the moment
> a bit busy with other activities.

No, they arent:

https://cygwin.com/packages/summary/git.html


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Adam Dinwoodie-2
In reply to this post by Kptain
On Fri, 20 Dec 2019 at 15:21, Kptain wrote:

>
> Hi all,
>
> I don't know who are the maintainer(s),
> but it would be great if these packages could be updated:
>
>  - latest versions are:
>
>     . Git  2.24.1
>     . Subversion 1.13.0
>     . Poppler  0.83
>
>
> It'd be great if it could be refreshed in Cygwin.

Acknowledged for Git. I'll try and get a new release out before the new year.

Adam

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Achim Gratz
Am 22.12.2019 um 13:50 schrieb Adam Dinwoodie:
> Acknowledged for Git. I'll try and get a new release out before the new year.

Keep in mind you will then have to re-do it just after the new year for
the Perl update.


--
Achim.

(on the road :-)


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Steven Penny
On Sun, 22 Dec 2019 18:50:34 +0100, Achim Gratz wrote:
> Keep in mind you will then have to re-do it just after the new year for
> the Perl update.

Not necessarily. I know people have disagreed with this in the past, but I have
looked at this again and it seems that not all distros require Perl with a Git
install. For example Fedora "git-core" only requires:

    Requires:       less
    Requires:       openssh-clients
    Requires:       zlib >= 1.2

https://apps.fedoraproject.org/packages/git/sources/spec

Some notable scripts would not work, like "git add --interactive", but Cygwin
could have a "git" and "git-core" to deal with that. Personally I have installed
Git without Perl for some years without issue.


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Adam Dinwoodie-2
In reply to this post by Achim Gratz
Hi Achim,

On Sun, 22 Dec 2019 at 17:50, Achim Gratz wrote:
>
> Am 22.12.2019 um 13:50 schrieb Adam Dinwoodie:
> > Acknowledged for Git. I'll try and get a new release out before the new year.
>
> Keep in mind you will then have to re-do it just after the new year for
> the Perl update.

Just realised I hadn't replied to this, sorry!

On the apps list, on the topic of package updates for the Perl switch, you said

> Git isn't affected because it sets up @INC itself and doesn't have
> architecture-specific modules.

I'd therefore been assuming that I didn't need to worry about syncing
a Git release with the Perl update; have I misunderstood what's going
on here?

Adam

PS: I am once again battling a bunch of test failures, as I prefer to
not release a Git build with undiagnosed failures in the test suite
when it's the official Cygwin distribution. I'm slowly working my way
through the problems, but there is ongoing progress on getting a new
release out.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Achim Gratz
Adam Dinwoodie writes:
>> Git isn't affected because it sets up @INC itself and doesn't have
>> architecture-specific modules.
>
> I'd therefore been assuming that I didn't need to worry about syncing
> a Git release with the Perl update; have I misunderstood what's going
> on here?

I haven't looked at the new Git version in detail, but it's probably the
still true, given that it loses some more dependencies on Perl with each
release rather than picking up new ones.  What I was getting at with
that remark is that the existing Git doesn't stop working when updating
Perl, not how a future version (which I haven't yet seen) behaves.  Also
as discussed before it would really be better if the packaging was done
without these nested Perl modules since it they can used as an interface
to Git which the Perl as installed doesn't know about since it isn't in
the usual search path.


Regards,
Achim.
--
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

SD adaptation for Waldorf rackAttack V1.04R1:
http://Synth.Stromeko.net/Downloads.html#WaldorfSDada

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Kptain

Thanks for your help.

It is probably better to wait for next perl 5.30.1 release that should be
available soon.

Next package that I am not able to build by myself concerns poppler package
as lot of library dependencies are not resolved.




--
Sent from: http://cygwin.1069669.n5.nabble.com/Cygwin-list-f3.html

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple

Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

majeed
In reply to this post by Adam Dinwoodie-2
Will git contrib/subtree be in the next release? It's not in the latest
version 2.21.0-1.



--
Sent from: http://cygwin.1069669.n5.nabble.com/Cygwin-list-f3.html
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple
Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

Cygwin list mailing list
In reply to this post by Kptain
> Will git contrib/subtree be in the next release? It's not in the latest
> version 2.21.0-1.

https://stackoverflow.com/questions/27109525/install-git-subtree-with-cygwin
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple
Reply | Threaded
Open this post in threaded view
|

Re: Request package updates for Poppler, Subversion and Git

majeed
I made do with windows git 2.26 - unfortunately it does not play well with cygwin git

My first attempt at windows git worktree add produced: "Working tree has modifications.  Cannot add."

Very surprising since it was a fresh clone - but using cygwin git

Turns out the error is from a git diff-index HEAD at https://github.com/git/git/blob/master/contrib/subtree/git-subtree.sh#L617

windows git diff-index showed two kinds of false positives

1. new files:

:100644 100644 b5ae85651031085a9dc89f584d235e48f0502837 000000000000000000000000
0000000000000000 M      LICENSE

this is fixed with windows git update-index LICENSE

2. file permissions change

:100755 100644 ae8fb75816f99be89c0171fb5b287149f52c19be ae8fb75816f99be89c0171fb
5b287149f52c19be M      googletest/ci/build-linux-bazel.sh

this is fixed with windows git config core.filemode false

Bit easier is insuring the repo was cloned with windows git in the first place - but it's good to know where the two versions don't agree

I can't say which version is at fault for the inconsistency


On Sunday, April 12, 2020, 09:17:32 AM EDT, Steven Penny <[hidden email]> wrote:


> Will git contrib/subtree be in the next release? It's not in the latest version 2.21.0-1.

https://stackoverflow.com/questions/27109525/install-git-subtree-with-cygwin
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple